Edit a legal entity
Update the details of an existing legal entity.
Token scopes: legal-entity:read, legal-entity:write
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
id
The ID of the legal entity to update.
Request
This endpoint expects an object.
name
The name of the legal entity.
phone
The phone number of the legal entity.
address
sic_number
The SIC number of the legal entity.
entity_type
The type of the legal entity.
industry_name
The industry name of the legal entity.
company_identifiers
Identifiers associated with the legal entity.
Response
Successfully updated the legal entity.
data